Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#203 unexpected exit when generating pdf

v3.0
closed-fixed
Edward Loper
5
2007-09-23
2007-05-16
Anonymous
No

I have appended a file to the end

the following command on a module multi that contains prcoessor.py fails

~/programs/epydoc/3.0b/bin/epydoc --pdf --debug multi/
with the following output

Running latex...
This is pdfeTeX, Version 3.141592-1.21a-2.2 (Web2C 7.5.4)\ LaTeX2e <2003/12/01>

...
Overfull \hbox (31.08656pt too wide) in paragraph at lines 855--864
\OT1/cmr/m/n/10 class. Most users should in-stan-ti-ate in-stances of this clas
s by call-ing the static method Pro-ces-sor.load[]multiprocessor.
[28] [29] [30]
Runaway argument?
{(type=float
! Paragraph ended before \text@command was complete.
<to be read again>
\par
l.1266 ... \# TODO: check my format is correctr)}

? Output written on api.dvi (30 pages, 188928 bytes).
Transcript written on api.log.
Error: latex failed: exitcode=256

epydoc version 3.0b from the website (though --version report 2.1!)
also the same result with epydoc 2.1

python version
Python 2.5.1c1 (release25-maint, Apr 12 2007, 21:00:25)
[GCC 4.1.2 (Ubuntu 4.1.2-0ubuntu4)] on linux2

checked with 2.4 and the result is the same

running on ubuntu feisty fawn

running with just the --latex option also produces files taht cannot be run through the latex to pdf converter:

clearly on line 1255 brackets are getting put in the wrong places:

\item[start\_time]

the time the application started in seconds since the epoch

\textit{(type=float)}

\item[end\_time]

the time the application ended in seconds since the epoch

\textit{(type=float

\# TODO: check my format is correctr)}

\end{Ventry}

\end{quote}

the following diff solves the problem

diff latex/multi.processor-module.tex latex/multi.processor-module.tex.good
6c6
< % [Wed May 16 22:33:36 2007]
---
> % [Wed May 16 22:08:41 2007]
1256c1256
< \textit{(type=float
---
> \textit{(type=float)}
1258c1258
< \# TODO: check my format is correctr)}
---
> \# TODO: check my format is correctr

Discussion

  • file which won't process properly

     
    Attachments
  • Edward Loper
    Edward Loper
    2007-09-23

    Logged In: YES
    user_id=195958
    Originator: NO

    Thanks for pointing this out. Fixed in svn revision 1615.

     
  • Edward Loper
    Edward Loper
    2007-09-23

    • status: open --> closed-fixed